Announcement

Collapse
No announcement yet.

ARB_enhanced_layouts Lands In Mesa Git, Rounds Out OpenGL 4.4 For RadeonSI

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ARB_enhanced_layouts Lands In Mesa Git, Rounds Out OpenGL 4.4 For RadeonSI

    Phoronix: ARB_enhanced_layouts Lands In Mesa Git, Rounds Out OpenGL 4.4 For RadeonSI

    The work by Nicolai Hähnle on finishing up the GL_ARB_enhanced_layouts extension for Gallium3D is now in Git. This officially marks RadeonSI done with OpenGL 4.4 and is effectively done with OpenGL 4.5 although the new version string is yet to be advertised...

    http://www.phoronix.com/scan.php?pag...ayouts-RSI-Git

  • #2
    So just to clarify, that means in mesa 13.0, radeonSI will be fully OpenGL compatible? I understand there is still more work to do with GLES and other standards. Regardless, it's great that they have something so big knocked off their "todo list".

    Comment


    • #3
      Yes and no, only opengl 4.4 will be available.
      ​​​​​​

      Comment


      • #4
        Originally posted by frosth View Post
        Yes and no, only opengl 4.4 will be available.
        ​​​​​​
        As OpenGL 4.5 extensions are all done for radeonsi, then yes, completing OpenGL 4.4 support will technically enable 4.5 as well. Note though that lacking certification, the driver may still advertise OpenGL 4.4 or even 4.3 in mesa 13.0. This might change before then, but will probably wait for the next version.

        Comment


        • #5
          Did mesa pass conformance tests suites for previous OGL version? I don't remember reading about that when the previous 4.x came out.

          Comment


          • #6
            Passing CTS is only required for OGL 4.4 and newer.

            Comment


            • #7
              Please give r600g some love too

              Comment


              • #8
                Originally posted by agd5f View Post
                Passing CTS is only required for OGL 4.4 and newer.
                Mmmh so that explains why I always read complaints about the lack of conformance tests for OpenGL : it was only introduced in very recent versions.

                Anyway, big, big, congrats to all involved at AMD and in the community for this awesome milestone!

                Looking forward to a great 2017 with AZDO support (mainly missing bindless texture if I'm not mistaken) and performance improvements.
                (and maybe a come back of gallium eleven, who knows )

                Comment


                • #9
                  Why should user care CTS, if it passes piglits it is fine

                  Comment


                  • #10
                    Originally posted by agd5f View Post
                    Passing CTS is only required for OGL 4.4 and newer.
                    Oh I see.
                    So I guessthat means that mesa passed the 4.4 already.

                    Comment

                    Working...
                    X